Debian Bug report logs - #714820
ITP: ntopng -- High-Speed Web-based Traffic Analysis and Flow Collection Tool

Package: wnpp; Maintainer for wnpp is wnpp@debian.org;

Reported by: Ludovico Cavedon <cavedon@debian.org>

Date: Wed, 3 Jul 2013 06:48:02 UTC

Owned by: Ludovico Cavedon <cavedon@debian.org>

Severity: wishlist

Tags: pending

Reply or subscribe to this bug.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, debian-devel@lists.debian.org, wnpp@debian.org:
Bug#714820; Package wnpp. (Wed, 03 Jul 2013 06:48:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ludovico Cavedon <cavedon@debian.org>:
New Bug report received and forwarded. Copy sent to debian-devel@lists.debian.org, wnpp@debian.org. (Wed, 03 Jul 2013 06:48:06 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Ludovico Cavedon <cavedon@debian.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: ITP: ntopng -- High-Speed Web-based Traffic Analysis and Flow Collection Tool
Date: Tue, 02 Jul 2013 23:45:24 -0700
Package: wnpp
Severity: wishlist
Owner: Ludovico Cavedon <cavedon@debian.org>

* Package name    : ntopng
  Version         : 1.0
  Upstream Author : Luca Deri <deri@ntop.org>
* URL             : http://www.ntop.org/products/ntop/
* License         : GPL-3
  Programming Lang: C++
  Description     : High-Speed Web-based Traffic Analysis and Flow Collection Tool

ntopng is the next generation version of the original ntop, a network
traffic probe that shows the network usage, similar to what the popular
top Unix command does. ntop is based on libpcap and it has been written
in a portable way in order to virtually run on every Unix platform,
MacOSX and on Win32 as well.

ntopng users can use a a web browser to navigate through ntop (that acts
as a web server) traffic information and get a dump of the network
status. In the latter case, ntop can be seen as a simple RMON-like agent
with an embedded web interface. The use of:

- a web interface.
- limited configuration and administration via the web interface.
- reduced CPU and memory usage (they vary according to network size and
traffic).

What ntopng can do:
- Sort network traffic according to many protocols
- Show network traffic and IPv4/v6 active hosts
- Store on disk persistent traffic statistics in RRD format
- Geolocate hosts
- Discover application protocols by leveraging on nDPI, ntop’s DPI
  framework
- Characterise HTTP traffic by leveraging on characterisation services
  provided by block.si. ntopng comes with a demo characterisation key,
  but if you need a permanent one, please mail info@block.si
- Show IP traffic distribution among the various protocols
- Analyse IP traffic and sort it according to the source/destination
- Display IP Traffic Subnet matrix (who’s talking to who?)
- Report IP protocol usage sorted by protocol type
- Act as a NetFlow/sFlow collector for flows generated by routers (e.g.
  Cisco and Juniper) or switches (e.g. Foundry Networks) when used
  together with nProbe
- Produce HTML5/AJAX network traffic statistics



Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Ludovico Cavedon <cavedon@debian.org>:
Bug#714820; Package wnpp. (Wed, 03 Jul 2013 12:03:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to The Wanderer <wanderer@fastmail.fm>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Ludovico Cavedon <cavedon@debian.org>. (Wed, 03 Jul 2013 12:03:07 GMT) Full text and rfc822 format available.

Message #10 received at 714820@bugs.debian.org (full text, mbox):

From: The Wanderer <wanderer@fastmail.fm>
To: Ludovico Cavedon <cavedon@debian.org>, 714820@bugs.debian.org
Subject: Re: Bug#714820: ITP: ntopng -- High-Speed Web-based Traffic Analysis and Flow Collection Tool
Date: Wed, 03 Jul 2013 08:00:14 -0400
On 07/03/2013 02:45 AM, Ludovico Cavedon wrote:

> Package: wnpp
> Severity: wishlist
> Owner: Ludovico Cavedon <cavedon@debian.org>
> 
> * Package name    : ntopng
>   Version         : 1.0
>   Upstream Author : Luca Deri <deri@ntop.org>
> * URL             : http://www.ntop.org/products/ntop/
> * License         : GPL-3
>   Programming Lang: C++
>   Description     : High-Speed Web-based Traffic Analysis and Flow Collection Tool
> 
> ntopng is the next generation version of the original ntop, a network
> traffic probe that shows the network usage, similar to what the popular
> top Unix command does. ntop is based on libpcap and it has been written
> in a portable way in order to virtually run on every Unix platform,
> MacOSX and on Win32 as well.

Might I suggest a different package name, e.g. 'ntop-ng'?

At a glance, 'ntopng' reads to me as "N-to-PNG", along the lines of
existing file-format converter programs. While it's not absolutely
necessary to avoid that, if there's no real downside to doing so, it
might be a good idea.

I'm also not sure how good "-ng"-style names are in the first place,
unless you are positive that there will never be a future "next"
generation after this one; a name like "ntop2" would be more
forward-development-compatible in that light. But that's just my
principles speaking, not a source of present confusion.

-- 
   The Wanderer

Warning: Simply because I argue an issue does not mean I agree with any
side of it.

Every time you let somebody set a limit they start moving it.
  - LiveJournal user antonia_tiger



Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#714820; Package wnpp. (Sun, 07 Jul 2013 01:18:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ludovico Cavedon <cavedon@debian.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Sun, 07 Jul 2013 01:18:04 GMT) Full text and rfc822 format available.

Message #15 received at 714820@bugs.debian.org (full text, mbox):

From: Ludovico Cavedon <cavedon@debian.org>
To: The Wanderer <wanderer@fastmail.fm>
Cc: 714820@bugs.debian.org
Subject: Re: Bug#714820: ITP: ntopng -- High-Speed Web-based Traffic Analysis and Flow Collection Tool
Date: Sat, 6 Jul 2013 18:14:50 -0700
On Wed, Jul 3, 2013 at 5:00 AM, The Wanderer <wanderer@fastmail.fm> wrote:
> Might I suggest a different package name, e.g. 'ntop-ng'?
>
> At a glance, 'ntopng' reads to me as "N-to-PNG", along the lines of
> existing file-format converter programs. While it's not absolutely
> necessary to avoid that, if there's no real downside to doing so, it
> might be a good idea.

Good point about the double interpretation, I did not think about it.
However, given that there is no real conflict, I would like to keep
the name as close as possible to upstream.

> I'm also not sure how good "-ng"-style names are in the first place,
> unless you are positive that there will never be a future "next"
> generation after this one; a name like "ntop2" would be more
> forward-development-compatible in that light. But that's just my
> principles speaking, not a source of present confusion.

This is a good point too, but I am sure upstream put the appropriate
thought in it.
I would not like to change the upstream name. What if I call it now
ntop2 and in a couple of years upstream releases ntop2? :)

Thanks,
Ludovico



Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Ludovico Cavedon <cavedon@debian.org>:
Bug#714820; Package wnpp. (Sun, 07 Jul 2013 12:36:22 GMT) Full text and rfc822 format available.

Acknowledgement sent to The Wanderer <wanderer@fastmail.fm>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Ludovico Cavedon <cavedon@debian.org>. (Sun, 07 Jul 2013 12:36:22 GMT) Full text and rfc822 format available.

Message #20 received at 714820@bugs.debian.org (full text, mbox):

From: The Wanderer <wanderer@fastmail.fm>
To: Ludovico Cavedon <cavedon@debian.org>
Cc: 714820@bugs.debian.org
Subject: Re: Bug#714820: ITP: ntopng -- High-Speed Web-based Traffic Analysis and Flow Collection Tool
Date: Sun, 07 Jul 2013 08:35:51 -0400
On 07/06/2013 09:14 PM, Ludovico Cavedon wrote:

> On Wed, Jul 3, 2013 at 5:00 AM, The Wanderer <wanderer@fastmail.fm>
> wrote:
> 
>> Might I suggest a different package name, e.g. 'ntop-ng'?
>> 
>> At a glance, 'ntopng' reads to me as "N-to-PNG", along the lines of
>> existing file-format converter programs. While it's not absolutely
>> necessary to avoid that, if there's no real downside to doing so,
>> it might be a good idea.
> 
> Good point about the double interpretation, I did not think about it.
> However, given that there is no real conflict, I would like to keep
> the name as close as possible to upstream.

Just to be clear, making sure we're on the same page:

I'm certainly not proposing changing the name of the actual program; I'm
only proposing changing the name of the package.

For comparison, a program which upstream calls 'calc' is available in
the package name 'apcalc', even though there is no package named 'calc'.
(I don't recall whether or not there used to be.)

If that would also be too much of a change from upstream to suit your
preferences, then fair enough.

-- 
   The Wanderer

Warning: Simply because I argue an issue does not mean I agree with any
side of it.

Every time you let somebody set a limit they start moving it.
  - LiveJournal user antonia_tiger



Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Ludovico Cavedon <cavedon@debian.org>:
Bug#714820; Package wnpp. (Wed, 07 Aug 2013 22:24:11 GMT) Full text and rfc822 format available.

Acknowledgement sent to Raúl Benencia <rul@kalgan.cc>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Ludovico Cavedon <cavedon@debian.org>. (Wed, 07 Aug 2013 22:24:11 GMT) Full text and rfc822 format available.

Message #25 received at 714820@bugs.debian.org (full text, mbox):

From: Raúl Benencia <rul@kalgan.cc>
To: 714820@bugs.debian.org
Subject: Awesome to see this package in Debian
Date: Wed, 7 Aug 2013 19:22:03 -0300
[Message part 1 (text/plain, inline)]
Hello,

I just wanted to say that I'm very glad to see that ntopng is going to be
in Debian. If by chance you need help for maintaining this package, please
let me know.

Cheers.
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Ludovico Cavedon <cavedon@debian.org>:
Bug#714820; Package wnpp. (Fri, 09 Aug 2013 06:21:09 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ludovico Cavedon <ludovico.cavedon@gmail.com>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Ludovico Cavedon <cavedon@debian.org>. (Fri, 09 Aug 2013 06:21:09 GMT) Full text and rfc822 format available.

Message #30 received at 714820@bugs.debian.org (full text, mbox):

From: Ludovico Cavedon <ludovico.cavedon@gmail.com>
To: Raúl Benencia <rul@kalgan.cc>, 714820@bugs.debian.org
Subject: Re: Bug#714820: Awesome to see this package in Debian
Date: Thu, 8 Aug 2013 23:16:49 -0700
Hi,

On Wed, Aug 7, 2013 at 3:22 PM, Raúl Benencia <rul@kalgan.cc> wrote:
> I just wanted to say that I'm very glad to see that ntopng is going to be
> in Debian. If by chance you need help for maintaining this package, please
> let me know.

The package is basically ready, but there is a licensing issue with
one of the source files. I am working with upstream to handle this.

Cheers,
Ludovico



Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Ludovico Cavedon <cavedon@debian.org>:
Bug#714820; Package wnpp. (Sat, 26 Oct 2013 20:15:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Giovanni Mascellani <gio@debian.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Ludovico Cavedon <cavedon@debian.org>. (Sat, 26 Oct 2013 20:15:05 GMT) Full text and rfc822 format available.

Message #35 received at 714820@bugs.debian.org (full text, mbox):

From: Giovanni Mascellani <gio@debian.org>
To: 714820@bugs.debian.org
Subject: Any news on packaging ntopng?
Date: Sat, 26 Oct 2013 22:07:40 +0200
[Message part 1 (text/plain, inline)]
Hi.

Are there any news on the packaging of ntopng? Is there a copy of the
unofficial package somewhere, perhaps on Debian VCS?

BTW, I think that upstream is going to release a new version very soon,
possibly next week.

Thanks, Giovanni.
-- 
Giovanni Mascellani <mascellani@poisson.phc.unipi.it>
Pisa, Italy

Web: http://poisson.phc.unipi.it/~mascellani
Jabber: g.mascellani@jabber.org / giovanni@elabor.homelinux.org

[signature.asc (application/pgp-signature, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#714820; Package wnpp. (Mon, 18 Nov 2013 00:24:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ludovico Cavedon <cavedon@debian.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Mon, 18 Nov 2013 00:24:04 GMT) Full text and rfc822 format available.

Message #40 received at 714820@bugs.debian.org (full text, mbox):

From: Ludovico Cavedon <cavedon@debian.org>
To: Giovanni Mascellani <gio@debian.org>, 714820@bugs.debian.org
Subject: Re: Bug#714820: Any news on packaging ntopng?
Date: Sun, 17 Nov 2013 16:20:56 -0800
[Message part 1 (text/plain, inline)]
Hi,

On Sat, Oct 26, 2013 at 1:07 PM, Giovanni Mascellani <gio@debian.org> wrote:
> Are there any news on the packaging of ntopng? Is there a copy of the
> unofficial package somewhere, perhaps on Debian VCS?
>
> BTW, I think that upstream is going to release a new version very soon,
> possibly next week.

I have finally uploaded ntopng 1.1.
It is ucrrently in the NEW queue. Unfortunately the Debian VCS is offline.
I am attaching here ntopng_1.1-1.debian.tar.gz, in case you find it useful.

Thanks for your patience,
Ludovico
[ntopng_1.1-1.debian.tar.gz (application/x-gzip, attachment)]

Added tag(s) pending. Request was from Anibal Monsalve Salazar <anibal@debian.org> to control@bugs.debian.org. (Mon, 18 Nov 2013 07:06:04 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Ludovico Cavedon <cavedon@debian.org>:
Bug#714820; Package wnpp. (Fri, 07 Feb 2014 19:21:09 GMT) Full text and rfc822 format available.

Acknowledgement sent to PICCORO McKAY Lenz <mckaygerhard@gmail.com>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Ludovico Cavedon <cavedon@debian.org>. (Fri, 07 Feb 2014 19:21:09 GMT) Full text and rfc822 format available.

Message #47 received at 714820@bugs.debian.org (full text, mbox):

From: PICCORO McKAY Lenz <mckaygerhard@gmail.com>
To: 714820@bugs.debian.org
Subject: Re: ITP: ntopng -- High-Speed Web-based Traffic Analysis and Flow Collection Tool
Date: Fri, 7 Feb 2014 14:49:53 -0430
ping?

please at least upload to mentors.debian please!

theres no more versions on ntop site, now theyre use svn tarball releases


Lenz McKAY Gerardo (PICCORO)
http://qgqlochekone.blogspot.com



Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#714820; Package wnpp. (Sat, 08 Feb 2014 19:54:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ludovico Cavedon <cavedon@debian.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Sat, 08 Feb 2014 19:54:04 GMT) Full text and rfc822 format available.

Message #52 received at 714820@bugs.debian.org (full text, mbox):

From: Ludovico Cavedon <cavedon@debian.org>
To: PICCORO McKAY Lenz <mckaygerhard@gmail.com>, 714820@bugs.debian.org
Cc: control@bugs.debian.org
Subject: Re: Bug#714820: ITP: ntopng -- High-Speed Web-based Traffic Analysis and Flow Collection Tool
Date: Sat, 8 Feb 2014 11:50:31 -0800
package wnpp
block 714820 by 676631
thanks

Hi,

On Fri, Feb 7, 2014 at 11:19 AM, PICCORO McKAY Lenz
<mckaygerhard@gmail.com> wrote:
> ping?

ftp-masters pointed out there are still some minified js files I need
to take care of.
I am currently blocking on rickshaw [1], which is currently in the NEW queue.

[1] http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=676631

> please at least upload to mentors.debian please!

I pushed the latest working version here
git://anonscm.debian.org/collab-maint/ntopng.git

Cheers,
Ludovico



Added blocking bug(s) of 714820: 676631 Request was from Ludovico Cavedon <cavedon@debian.org> to control@bugs.debian.org. (Sat, 08 Feb 2014 19:54:07 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Ludovico Cavedon <cavedon@debian.org>:
Bug#714820; Package wnpp. (Thu, 20 Feb 2014 19:21:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to PICCORO McKAY Lenz <mckaygerhard@gmail.com>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Ludovico Cavedon <cavedon@debian.org>. (Thu, 20 Feb 2014 19:21:04 GMT) Full text and rfc822 format available.

Message #59 received at 714820@bugs.debian.org (full text, mbox):

From: PICCORO McKAY Lenz <mckaygerhard@gmail.com>
To: 714820@bugs.debian.org
Subject: Re: Bug#714820: ITP: ntopng -- High-Speed Web-based Traffic Analysis and Flow Collection Tool
Date: Thu, 20 Feb 2014 14:47:14 -0430
the  rickshaw (1.4.6-1) package was uploaded to unstable:
 .
   * Initial upload (closes: #676631).

now the work in ntopng can be continued!

Lenz McKAY Gerardo (PICCORO)
http://qgqlochekone.blogspot.com



Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sat Apr 19 07:35:48 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.